---
title: ScreenOrientation.lock()
slug: Web/API/ScreenOrientation/lock
tags:
  - API
  - Orientation
  - Property
  - Reference
  - Screen Orientation API
  - ScreenOrientation
  - lock
---
<p>{{APIRef("Screen Orientation")}}{{SeeCompatTable}}</p>

<p>The <strong><code>lock()</code></strong> property of the {{domxref("ScreenOrientation")}} interface locks the orientation of the containing document to its default orientation.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">ScreenOrientation.lock(orientation)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt>orientation</dt>
	<dd>An orientation lock type. One of the following:</dd>
</dl>

<ul>
	<li><code>"any"</code></li>
	<li><code>"natural"</code></li>
	<li><code>"landscape"</code></li>
	<li><code>"portrait"</code></li>
	<li><code>"portrait-primary"</code></li>
	<li><code>"portrait-secondary"</code></li>
	<li><code>"landscape-primary"</code></li>
	<li><code>"landscape-secondary"</code></li>
</ul>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("Promise")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Screen Orientation','#dom-screenorientation-lock','lock()')}}</td>
			<td>{{Spec2('Screen Orientation')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.ScreenOrientation.lock")}}</p>
</div>
